function changedBewegung()
{

	selectedElement = document.getElementById('IDC_BEWEGUNG_COMBO').options[document.getElementById('IDC_BEWEGUNG_COMBO').selectedIndex].value;
	// alert(selectedElement);

	if (selectedElement == 'ID_AXIAL') {
		componentEnable('IDC_BEWEGUNG_DELTA');
		componentEnable('IDC_BEWEGUNG_DELTA_UNITS_COMBO');
		componentDisable('IDC_BEWEGUNG_ALPHA');
		componentDisable('IDC_BEWEGUNG_ALPHA_UNITS_COMBO');
		componentDisable('IDC_BEWEGUNG_LAMBDA');
		componentDisable('IDC_BEWEGUNG_LAMBDA_UNITS_COMBO');

		document.getElementById('IDC_BEWEGUNG_ALPHA').value = '0.0';
		document.getElementById('IDC_BEWEGUNG_LAMBDA').value = '0.0';
	}
	else if (selectedElement == 'ID_ANGULAR') {
		componentDisable('IDC_BEWEGUNG_DELTA');
		componentDisable('IDC_BEWEGUNG_DELTA_UNITS_COMBO');
		componentEnable('IDC_BEWEGUNG_ALPHA');
		componentEnable('IDC_BEWEGUNG_ALPHA_UNITS_COMBO');
		componentDisable('IDC_BEWEGUNG_LAMBDA');
		componentDisable('IDC_BEWEGUNG_LAMBDA_UNITS_COMBO');

		document.getElementById('IDC_BEWEGUNG_DELTA').value = '0.0';
		document.getElementById('IDC_BEWEGUNG_LAMBDA').value = '0.0';
	}
	else if (selectedElement == 'ID_LATERAL') {
		componentDisable('IDC_BEWEGUNG_DELTA');
		componentDisable('IDC_BEWEGUNG_DELTA_UNITS_COMBO');
		componentDisable('IDC_BEWEGUNG_ALPHA');
		componentDisable('IDC_BEWEGUNG_ALPHA_UNITS_COMBO');
		componentEnable('IDC_BEWEGUNG_LAMBDA');
		componentEnable('IDC_BEWEGUNG_LAMBDA_UNITS_COMBO');

		document.getElementById('IDC_BEWEGUNG_ALPHA').value = '0.0';
		document.getElementById('IDC_BEWEGUNG_DELTA').value = '0.0';
	}
	else if (selectedElement == 'ID_AXIAL_ANGULAR') {
		componentEnable('IDC_BEWEGUNG_DELTA');
		componentEnable('IDC_BEWEGUNG_DELTA_UNITS_COMBO');
		componentEnable('IDC_BEWEGUNG_ALPHA');
		componentEnable('IDC_BEWEGUNG_ALPHA_UNITS_COMBO');
		componentDisable('IDC_BEWEGUNG_LAMBDA');
		componentDisable('IDC_BEWEGUNG_LAMBDA_UNITS_COMBO');

		document.getElementById('IDC_BEWEGUNG_LAMBDA').value = '0.0';
	}
	else if (selectedElement == 'ID_AXIAL_LATERAL') {
		componentEnable('IDC_BEWEGUNG_DELTA');
		componentEnable('IDC_BEWEGUNG_DELTA_UNITS_COMBO');
		componentDisable('IDC_BEWEGUNG_ALPHA');
		componentDisable('IDC_BEWEGUNG_ALPHA_UNITS_COMBO');
		componentEnable('IDC_BEWEGUNG_LAMBDA');
		componentEnable('IDC_BEWEGUNG_LAMBDA_UNITS_COMBO');

		document.getElementById('IDC_BEWEGUNG_ALPHA').value = '0.0';
	}
	else {
		// do nuttin'
	}
}

function changedBordform()
{
	selectedElement = document.getElementById('IDC_BORDFORM_COMBO').options[document.getElementById('IDC_BORDFORM_COMBO').selectedIndex].value;
	// alert(selectedElement);
   	gifpfad = document.getElementById('gifpath').value;

	if (selectedElement == 'ID_BB_BB') {
		document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'bf_bb_bb.gif';
	}
	else if (selectedElement == 'ID_BB_J') {
		document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'bf_bb_i.gif';
	}
	else if (selectedElement == 'ID_J_J') {
		document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'bf_i_i.gif';
	}
	else if (selectedElement == 'ID_S_S') {
		document.getElementById('IDD_AUSWAHL_BETRIEBSDATEN_IMAGE').src = gifpfad + 'bf_s_s.gif';
	}
	else {
		// do nuttin'
	}
}

function balgSuchen()
{
	selectedElement = document.getElementById('IDC_BEWEGUNG_COMBO').options[document.getElementById('IDC_BEWEGUNG_COMBO').selectedIndex].value;

	bFehlt = false;
	if (selectedElement == 'ID_AXIAL') {
		if (document.getElementById('IDC_BEWEGUNG_DELTA').value == 0)
			bFehlt = true;
	}
	else if (selectedElement == 'ID_ANGULAR') {
		if (document.getElementById('IDC_BEWEGUNG_ALPHA').value == 0)
			bFehlt = true;
	}
	else if (selectedElement == 'ID_LATERAL') {
		if (document.getElementById('IDC_BEWEGUNG_LAMBDA').value == 0)
			bFehlt = true;
	}
	else if (selectedElement == 'ID_AXIAL_ANGULAR') {
		if ((document.getElementById('IDC_BEWEGUNG_ALPHA').value == 0) &&
			(document.getElementById('IDC_BEWEGUNG_DELTA').value == 0))
			bFehlt = true;
	}
	else if (selectedElement == 'ID_AXIAL_LATERAL') {
		if ((document.getElementById('IDC_BEWEGUNG_DELTA').value == 0) &&
			(document.getElementById('IDC_BEWEGUNG_LAMBDA').value == 0))
			bFehlt = true;
	}

	if (bFehlt)
	{
		message = document.getElementById('noImputmessage').value;
		if(message){ alert(message); }
	}
	else
		ekSubmit('IDC_BALG_SUCHEN_BUT');
}

function belegeAussendurch()
{
	selectedID = document.getElementById('IDC_BALGDURCHMESSER_COMBO').options[document.getElementById('IDC_BALGDURCHMESSER_COMBO').selectedIndex].value;
	newADmin = AussenMin[selectedID];
	newADmax = AussenMax[selectedID];
	document.getElementById('IDC_BALGDURCHMESSER_AUSSEN_MINMAX').innerHTML = newADmin + ' - ' + newADmax;
}

function ShowAlertOnLoad()
{
	message=document.getElementById('errormessage').value;
	if(message){ alert(message); }
	document.getElementById('errormessage').value='';
}

function enableErgEdits()
{
	BordForm = document.getElementById('BORDFORM_ID').value;

	if (BordForm == 'ID_BB_BB') {
		componentDisable('IDC_BORDLAENGE1');
		componentDisable('IDC_BORDLAENGE2');
	}
	if (BordForm == 'ID_BB_J') {
		componentDisable('IDC_BORDLAENGE2');
	}

	Anschlussteile = document.getElementById('IDC_ANSCHLUSSTEILE').options[document.getElementById('IDC_ANSCHLUSSTEILE').selectedIndex].value;
	if (Anschlussteile == 'IDC_ANSCHLUSSTEILE_KEINE')
	{
		//target_element = document.getElementById('IDC_FERTIGUNG_COMBO');
		//target_element.setAttribute("items", '');
		dialog.IDC_FERTIGUNG_COMBO.setNewItemList('');
		initCombobox('IDC_FERTIGUNG_COMBO');
	}
}

function checkLaenge(strID)
{
	Input = 0;
	Input = document.getElementById(strID).value;

	MaxLen = 0;
	if (strID == 'IDC_BORDLAENGE1')
		MaxLen = document.getElementById('IDC_MAX_1').text;
	else
		MaxLen = document.getElementById('IDC_MAX_2').text;

//	alert(Input);
//	alert(MaxLen);
	if (parseFloat(Input) > parseFloat(MaxLen))
		document.getElementById(strID).value = MaxLen;
}

function zeugnisArtClicked()
{

	if (document.getElementById('IDC_ABNAHMEPRUEFUNG_RADIO').checked)
	{
		componentEnable('IDC_HELIUM_CHECKBOX');
		componentEnable('IDC_DRUCKPRUEFUNG_CHECKBOX');
	}
	else
	{
		document.getElementById('IDC_HELIUM_CHECKBOX').checked = false;
		document.getElementById('IDC_DRUCKPRUEFUNG_CHECKBOX').checked = false;
		componentDisable('IDC_HELIUM_CHECKBOX');
		componentDisable('IDC_DRUCKPRUEFUNG_CHECKBOX');
	}
}